<?php

namespace App\Repositories;

use App\Models\Event;
use App\Interfaces\EventInterface;
use Illuminate\Support\Facades\Auth;

class EventRepository implements EventInterface
{
    public function PostEvent(array $data)
    {
        return Event::create($data);
    }

    public function getStudentEvents($id)
    {
        return Event::where('user_id', $id)->get();
    }

    public function getEventById($id)
    {
        return Event::find($id);
    }

    public function updateEvent($id, array $data)
    {
        $event=$this->getEventById($id);
        return $event->update($data);
    }

    public function EventDelete($id)
    {
        $event= Event::find($id);
        return $event->delete();
    }

}
?>
