<?php

namespace Database\Seeders;

use App\Models\User;
// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Database\Seeders\PlanTableSeeder;
use Database\Seeders\CurrencyTableSeeder;
use Database\Seeders\PaymentPlatformTableSeeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        $this->call(PlanTableSeeder::class);
        $this->call(PaymentPlatformTableSeeder::class);
        $this->call(CurrencyTableSeeder::class);
    }
}
