<?php

namespace Database\Seeders;

use App\Models\PaymentPlatform;
use Illuminate\Database\Seeder;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class PaymentPlatformTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        PaymentPlatform::create([
            'name'=>'Paypal',
            'image'=>'images/payment/paypal.jpg',
        ]);
        PaymentPlatform::create([
            'name'=>'Stripe',
            'image'=>'images/payment/stripe.png'
        ]);
    }
}
