<?php

namespace App\Repositories;

use App\Interfaces\GoalInterface;
use App\Models\Goal;
use Illuminate\Support\Facades\Auth;

class GoalRepository implements GoalInterface
{
    public function PostGoal(array $data)
    {
        return Goal::create($data);
    }

    public function getStudentGoals($id)
    {
        return Goal::where('user_id', $id)->get();
    }

    public function getGoalById($id)
    {
        return Goal::find($id);
    }

    public function updateGoal($id, $data)
    {
        $goal=$this->getGoalById($id);
        return $goal->update($data);
    }


    public function deleteGoal($id)
    {
        $goal= Goal::find($id);
        return $goal->delete();
    }

}
?>
