<?php

namespace App\Repositories;

use App\Interfaces\NoteInterface;
use App\Models\Note;
use Illuminate\Support\Facades\Auth;

class NoteRepository implements NoteInterface
{
    public function PostNote(array $data)
    {
        return Note::create($data);
    }

    public function getStudentNotes($id)
    {
        return Note::where('user_id', $id)->get();
    }

    public function getNoteById($id)
    {
        return Note::find($id);
    }

    public function updateNote($id, array $data)
    {
        $note=$this->getNoteById($id);
        return $note->update($data);
    }

    public function deleteNote($id)
    {
        $note= Note::find($id);
        return $note->delete();
    }

}
?>
